Bug 813736 - python-irclib-0.6.4 is available
python-irclib-0.6.4 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-irclib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2012-04-18 06:43 EDT by Upstream Release Monitoring
Modified: 2016-09-21 10:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-04-18 06:43:50 EDT
Latest upstream release: 0.6.3
Current version in Fedora Rawhide: 0.4.8
URL: http://sourceforge.net/api/file/index/project-name/python-irclib/mtime/desc/limit/20/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Conrad Meyer 2012-04-20 00:56:57 EDT
Updated the package, kicked off a rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4008122
Comment 2 Conrad Meyer 2012-04-20 01:12:32 EDT
Nevermind, looks like we're missing a dep on hgtools. (Why the hell does irclib require a mercurial package to build? I don't know.)
Comment 3 Upstream Release Monitoring 2012-04-20 06:44:03 EDT
Latest upstream release: 0.6.4
Current version in Fedora Rawhide: 0.4.8
URL: http://sourceforge.net/api/file/index/project-name/python-irclib/mtime/desc/limit/20/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Steve Milner 2014-06-03 13:44:43 EDT
Looks like there may have been quite a few releases since this.

http://python-irclib.sourceforge.net/ -> https://pypi.python.org/pypi/irc

Latest version looks to be 8.9.1
Comment 5 Toshio Ernie Kuratomi 2014-11-28 17:36:21 EST
I don't have time to maintain packages these days but I was able to put together initial packages for the update and all the new deps: http://copr-fe.cloud.fedoraproject.org/coprs/toshio/python-irclib-update/

Easiest way I've found to download all the srpms:

$ wget http://copr-fe.cloud.fedoraproject.org/coprs/toshio/python-irclib-update/repo/fedora-20/toshio-python-irclib-update-fedora-20.repo
$ sudo chown root:root toshio-python-irclib-update-fedora-20.repo
$ sudo mv toshio-python-irclib-update-fedora-20.repo /etc/yum.repos.d
$ mkdir irclib
$ cd irclib              
$ yumdownloader --disablerepo='*' --enablerepo='toshio-python-irclib-update' --source '*'

4 new packages and the update to python-irclib itself.
Comment 6 Toshio Ernie Kuratomi 2014-11-28 17:41:37 EST
Oops, made a mistake specifying the package deps.  One moment while I fix those.
Comment 7 Toshio Ernie Kuratomi 2014-11-28 18:48:51 EST
Okay, all fixed.  Packages are ready for whoever would like to run with them.
Comment 8 Toshio Ernie Kuratomi 2016-02-28 07:20:40 EST
Copr has been updated 0.13.3.1 (laest release)  to https://copr.fedorainfracloud.org/coprs/toshio/python-irclib-update/builds/
Comment 9 Miro Hrončok 2016-06-28 08:45:03 EDT
This bug has been opened 4 years ago. I think that Luke, the maintainer, doesn't really have time to take care of this package (no response).
Toshio, who has built new version with deps in COPR, clearly says he has no time to maintain this in Fedora.
I suggest to orphan this package. If someone wants it, they can take over the maintenance.
Quick repoquery suggests nothing from Fedora requires this package.

Luke, Toshio, what do you think?
Comment 10 Lumír Balhar 2016-08-05 08:19:08 EDT
One more month without a response. I think we should take this package and orphan it.
Comment 11 Toshio Ernie Kuratomi 2016-08-05 10:39:16 EDT
Find by me but I'm not the owner so I'm not a good person to ask.  I did ping lmacken about the orphaning question in #fedora-python so hopefully he'll reply here.
Comment 12 Luke Macken 2016-08-23 05:47:31 EDT
Yes, I'm planning on orphaning this package. Feel free to take it over if you wish.

Note You need to log in before you can comment on or make changes to this bug.